Skip to content
Last updated

API Versions Breaking Changes

This is a list of breaking changes and the API version in which they were introduced.

2026-08-04 (Beta)

  • Added dateToCheckToKeepGrace, dateToCheckToKeepGraceCanceledAt, and dateToCheckToRestoreGrace to the gracePeriod object on obligations.
  • Draw atOrigination.gracePeriod gained numPeriodsToEvaluateGrace and minPaymentCalculationOverride.

Changed Endpoints

  • GET /people/{personId}/loans/{loanId}/draws
  • POST /people/{personId}/loans/{loanId}/draws
  • GET /people/{personId}/loans/{loanId}/draws/{drawId}
  • PUT /people/{personId}/loans/{loanId}/draws/{drawId}
  • POST /people/{personId}/loans/{loanId}/draws/{drawId}/credit-limit
  • GET /people/{personId}/loans/{loanId}/draws/{drawId}/obligations
  • GET /people/{personId}/loans/{loanId}/draws/{drawId}/obligations/{obligationId}
  • GET /people/{personId}/loans/{loanId}/obligations
  • GET /people/{personId}/loans/{loanId}/obligations/{obligationId}

2025-03-26

  • Borrower field borrowerType was added.
  • Borrower field collectionsIntensity was changed to be not read only.
  • Fixed User object schema: user.employee should only have a subset of full employee properties.
  • Fixed Employee object schema: availableAndPermittedTasktypes should be a read only array.
  • Removed deprecated property gracePeriod from Line of Credit statement details.
  • Fixed transaction object schema: transaction objects have a metaData property.
  • Renamed idsOnly enum option to minimal in the API request parameters for /loans.
  • Removed deprecated status property from template version objects.
  • GET /people/{personId}/loans/{loanId}/refunds returned v2 refund fields, consistent with the GET /companies/{companyId}/people/{personId}/loans/{loanId}/refunds endpoint.

Changed Endpoints

  • GET /communicator/templatedescriptors/{descriptorId}/templates
  • GET /communicator/templates
  • POST /communicator/templates
  • GET /communicator/templates/{templateVersionId}
  • PUT /communicator/templates/{templateVersionId}
  • GET /employees
  • POST /employees
  • GET /employees/{employeeId}
  • PUT /employees/{employeeId}
  • GET /loans
  • POST /people/{personId}/loans/{loanId}/migration/past-transaction
  • GET /people/{personId}/loans/{loanId}/refunds
  • GET /people/{personId}/loans/{loanId}/statements/{statementId}/details
  • POST /people/{personId}/loans/{loanId}/transactions
  • GET /users
  • POST /users
  • GET /users/{userId}
  • PUT /users/{userId}
  • GET /v2/communicator/templates

2023-11-29

  • This is an empty change created to facilitate deployment of the API Versioning system. It does not change the schema or transform requests/responses.

2018-01-01

  • This is the base version of the API.